IntersectFacade Class Reference
The Facade Module

A facade for intersecting monomial ideals. More...

`#include <IntersectFacade.h>`

Inheritance diagram for IntersectFacade:

## Public Member Functions

| IntersectFacade (bool printActions)
unique_ptr< BigIdeal > | intersect (const vector< BigIdeal * > &ideals, const VarNames &names)
| Returns the intersection of ideals.

## Additional Inherited Members

Private Member Functions inherited from Facade
| Facade (bool printActions)
| Constructs a facade that prints out what it is doing if printActions is true.
virtual | ~Facade ()
void | printMessage (const char *message)
| Prints message to standard error if printing is turned on.
void | beginAction (const char *message)
| Prints message to standard error if printing is turned on, and records the time when the action started.
void | endAction ()
| Prints to standard error the time since the last call to beginAction.
bool | isPrintingActions () const
| Returns true if printing actions.

## Detailed Description

A facade for intersecting monomial ideals.

Todo
  Merge this into IdealFacade.

Definition at line 31 of file IntersectFacade.h.

## Constructor & Destructor Documentation

## IntersectFacade()

IntersectFacade::IntersectFacade | ( | bool | printActions | ) |

Definition at line 28 of file IntersectFacade.cpp.

## Member Function Documentation

## intersect()

unique_ptr< BigIdeal > IntersectFacade::intersect | ( | const vector< BigIdeal * > & | ideals,
|  | const VarNames & | names )

Returns the intersection of ideals.

If ideals is empty, then the whole ring is the intersection, which requires knowing the ring, and this is what names contains.

Definition at line 32 of file IntersectFacade.cpp.

The documentation for this class was generated from the following files:

- src/IntersectFacade.h
- src/IntersectFacade.cpp